{
  "name": "@simple-template/web",
  "version": "1.0.0",
  "private": true,
  "scripts": {
    "dev": "NODE_OPTIONS=--max-old-space-size=4096 vite",
    "serve": "pnpm dev",
    "build": "rimraf dist && NODE_OPTIONS=--max-old-space-size=8192 vite build",
    "build:staging": "rimraf dist && vite build --mode staging",
    "report": "rimraf dist && vite build",
    "preview": "vite preview",
    "preview:build": "pnpm build && vite preview",
    "typecheck": "tsc --noEmit && vue-tsc --noEmit --skipLibCheck",
    "svgo": "svgo -f src/assets/svg -o src/assets/svg",
    "clean:cache": "rimraf node_modules && pnpm install",
    "lint:eslint": "eslint --ignore-path ../.eslintignore --cache --cache-location node_modules/.cache/eslint/.eslintcache --max-warnings 0  \"{src,build}/**/*.{vue,js,ts,tsx}\"",
    "lint:prettier": "prettier --check  \"src/**/*.{js,ts,json,tsx,css,scss,vue,html,md}\"",
    "lint:stylelint": "pnpm --dir .. exec stylelint \"web/**/*.{html,vue,css,scss}\" --config ./stylelint.config.cjs --ignore-path ./.stylelintignore --cache --cache-location web/node_modules/.cache/stylelint/",
    "lint": "pnpm lint:eslint && pnpm lint:prettier && pnpm lint:stylelint",
    "prepare": "echo \"Git hooks are managed by ../../.githooks\"",
    "preinstall": "npx only-allow pnpm"
  },
  "browserslist": [
    "> 1%",
    "not ie 11",
    "not op_mini all"
  ],
  "dependencies": {
    "@pureadmin/descriptions": "^1.1.1",
    "@pureadmin/table": "^2.3.2",
    "@pureadmin/utils": "^1.9.6",
    "@vueuse/core": "^10.2.0",
    "@vueuse/motion": "^2.0.0",
    "animate.css": "^4.1.1",
    "axios": "^1.4.0",
    "crypto-js": "^4.1.1",
    "dayjs": "^1.11.8",
    "echarts": "^5.4.2",
    "element-plus": "2.3.6",
    "js-cookie": "^3.0.5",
    "jsencrypt": "^3.3.2",
    "mitt": "^3.0.0",
    "nprogress": "^0.2.0",
    "path": "^0.12.7",
    "pinia": "^2.1.4",
    "pinyin-pro": "^3.15.2",
    "cropperjs": "^1.5.13",
    "vue-tippy": "^6.2.0",
    "qrcode": "^1.5.3",
    "qs": "^6.11.2",
    "responsive-storage": "^2.2.0",
    "sortablejs": "^1.15.0",
    "tippy.js": "^6.3.7",
    "typeit": "^8.7.1",
    "vue": "^3.3.4",
    "vue-router": "^4.2.2",
    "vue-types": "^5.1.0",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@iconify-icons/ep": "^1.2.12",
    "@iconify-icons/ri": "^1.2.9",
    "@iconify/vue": "^4.1.1",
    "@pureadmin/theme": "^3.1.0",
    "@types/js-cookie": "^3.0.3",
    "@types/node": "^20.3.1",
    "@types/nprogress": "0.2.0",
    "@types/qs": "^6.9.7",
    "@types/sortablejs": "^1.15.1",
    "@typescript-eslint/eslint-plugin": "^5.60.0",
    "@typescript-eslint/parser": "^5.60.0",
    "@vitejs/plugin-vue": "^4.2.3",
    "@vitejs/plugin-vue-jsx": "^3.0.1",
    "@vue/eslint-config-prettier": "^7.1.0",
    "@vue/eslint-config-typescript": "^11.0.3",
    "autoprefixer": "^10.4.14",
    "cssnano": "^6.0.1",
    "eslint": "^8.43.0",
    "eslint-plugin-prettier": "^4.2.1",
    "eslint-plugin-vue": "^9.15.1",
    "picocolors": "^1.0.0",
    "postcss": "^8.4.24",
    "postcss-import": "^15.1.0",
    "prettier": "^2.8.8",
    "rimraf": "^5.0.1",
    "rollup-plugin-visualizer": "^5.9.2",
    "sass": "^1.63.6",
    "svgo": "^3.0.2",
    "tailwindcss": "^3.3.2",
    "typescript": "5.0.4",
    "vite": "^4.3.9",
    "vite-plugin-cdn-import": "^0.3.5",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-remove-console": "^2.1.1",
    "vite-svg-loader": "^4.0.0",
    "vue-eslint-parser": "^9.3.1",
    "vue-tsc": "^1.8.1"
  },
  "repository": "git@github.com:valarchie/agileboot-front-end-pure.git",
  "author": "valarchie",
  "license": "MIT"
}
